import './index.css';

import { GameContext } from './controller/gamecontext';

import { Renderer } from './view/renderer/renderer';

window.onload = async () => {
	const app = document.getElementById('app');
	if (!app)
		return;

	const canvas = document.createElement('canvas');
	canvas.width = 1024;
	canvas.height = 768;

	app.append(canvas);

	const renderer = new Renderer(canvas);

	GameContext.load(renderer);
};
